import React from 'react';
import { createStackNavigator } from '@react-navigation/stack';
import { Alert } from 'react-native';
import { CodigoQr } from './QrCamara';
import { useNavigation } from '@react-navigation/native';
import { ValorPagarQr } from './ValorPagarQr';
import { ConfirmarTransaccion } from './ConfirmarTransaccion';
export const RouteCamaraQr = () => {
  const Stack = createStackNavigator();
  const navigate = useNavigation();
  const on = data => {
    let dataJson;
    try {
      dataJson = JSON.parse(data.data);
    } catch (e) {
      console.log('no es un json');
      dataJson = data.data;
    }
    data.data && typeof dataJson === 'object' && dataJson.hasOwnProperty('valor') ? navigate.navigate('ValorPagar', data) : Alert.alert('Error', 'No es un codigo valido');
  };
  return /*#__PURE__*/React.createElement(Stack.Navigator, {
    initialRouteName: "CodigoQr",
    screenOptions: {
      headerShown: false
    }
  }, /*#__PURE__*/React.createElement(Stack.Screen, {
    name: "CodigoQr"
  }, () => /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(CodigoQr, {
    on: on
  }))), /*#__PURE__*/React.createElement(Stack.Screen, {
    name: "ValorPagar"
  }, () => {
    return /*#__PURE__*/React.createElement(ValorPagarQr, null);
  }), /*#__PURE__*/React.createElement(Stack.Screen, {
    name: "ConfirmarTransaccion"
  }, () => /*#__PURE__*/React.createElement(ConfirmarTransaccion, null)));
};
//# sourceMappingURL=RouteCamara.js.map