"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CardDeUna = CardDeUna;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _reactNativePaper = require("react-native-paper");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function CardDeUna(_ref) {
  let {
    datos = {
      titulo: 'hola',
      descripcion: 'hola',
      imagen: 'https://picsum.photos/700'
    },
    backgroundColor = 'white'
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_reactNativePaper.Provider, null, /*#__PURE__*/_react.default.createElement(_reactNativePaper.Card, {
    onPress: () => console.log('Pressed'),
    style: {
      ...style.card,
      backgroundColor: backgroundColor
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNativePaper.Card.Cover, {
    source: {
      uri: datos === null || datos === void 0 ? void 0 : datos.imagen
    }
  }), /*#__PURE__*/_react.default.createElement(_reactNativePaper.Card.Content, null, /*#__PURE__*/_react.default.createElement(_reactNativePaper.Title, null, datos === null || datos === void 0 ? void 0 : datos.titulo), /*#__PURE__*/_react.default.createElement(_reactNativePaper.Paragraph, null, datos === null || datos === void 0 ? void 0 : datos.descripcion))));
}
const style = _reactNative.StyleSheet.create({
  card: {
    marginTop: 10,
    margin: 20
  }
});
//# sourceMappingURL=card.js.map