import React from 'react';
import { ActivityIndicator, StyleSheet, View } from 'react-native';
export const Loader = _ref => {
  let {
    color = '#0000ff'
  } = _ref;
  return /*#__PURE__*/React.createElement(View, {
    style: styles.container
  }, /*#__PURE__*/React.createElement(ActivityIndicator, {
    size: "large",
    color: color
  }));
};
const styles = StyleSheet.create({
  container: {
    width: '100%',
    height: 700,
    display: 'flex',
    backgroundColor: '#FFFFFF',
    justifyContent: 'center',
    alignItems: 'center'
  }
});
//# sourceMappingURL=Loader.js.map